System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ICloneable System.ComponentModel.TypeConverter(typeof(System.Drawing.Printing.MarginsConverter))

The class is used to manipulate the width of margins in and . is the type descriptor for this class.

, , , and are properties that define the margins. creates an identical . determines if another object has the same dimensions as a .

For more information about printing, see the namespace overview.

Specifies the dimensions of the margins of a printed page.

- Constructor
  To be added

  Initializes a new instance of the class with 1-inch wide margins.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified left, right, top, and bottom margins.

  The left margin, in hundredths of an inch.
  The right margin, in hundredths of an inch.
  The top margin, in hundredths of an inch.
  The bottom margin, in hundredths of an inch.
  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  If you measure margins in millimeters, multiply the margin width you want in millimeters by 3.937 to determine the correct measurement in hundredths of an inch. For example, if you want a margin of 25mm, multiply by 3.937 and the result is 98 when rounded down. You would then set the appropriate member to 98.

  Gets or sets the bottom margin, in hundredths of an inch.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object To be added

  Retrieves a duplicate of this object, member by member.

  A duplicate of this object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Compares this to the specified to determine whether they have the same dimensions.

  true if the specified object is a and has the same , , and values as this ; otherwise, false.

  The object to which to compare this . 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Calculates and retrieves a hash code based on the width of the left, right, top, and bottom margins.

  A hash code based on the left, right, top, and bottom margins.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  If you measure margins in millimeters, multiply the margin width you want in millimeters by 3.937 to determine the correct measurement in hundredths of an inch. For example, if you want a margin of 25mm, multiply by 3.937 and the result is 98 when rounded down. You would then set the appropriate member to 98.

  Gets or sets the left margin width, in hundredths of an inch.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` `` To be added.

  Compares two to determine if they have the same dimensions.

  true to indicate the , , , and properties of both margins have the same value; otherwise, false.

  The first to compare for equality. The second to compare for equality.
- Method
  2.0.0.0
  System.Boolean `` `` To be added.

  Compares two to determine whether they are of unequal width.

  true to indicate if the , , , or properties of both margins are not equal; otherwise, false.

  The first to compare for inequality. The second to compare for inequality.
- Property
  System.Int32 To be added: an object of type 'int'

  If you measure margins in millimeters, multiply the margin width you want in millimeters by 3.937 to determine the correct measurement in hundredths of an inch. For example, if you want a margin of 25mm, multiply by 3.937 and the result is 98 rounded down. You would then set the appropriate member to 98.

  Gets or sets the right margin width, in hundredths of an inch.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  If you measure margins in millimeters, multiply the margin width you want in millimeters by 3.937 to determine correct measurement in hundredths of an inch. For example, if you want a margin of 25mm, multiply by 3.937 and the result is 98 when rounded down. You would then set the appropriate member to 98.

  Gets or sets the top margin width, in hundredths of an inch.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts the to a string.

  A representation of the .

  1.0.5000.0
  2.0.0.0